Bug 622222 - [abrt] yum-3.2.28-1.fc14: __init__.py:3672:remove:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)
Summary: [abrt] yum-3.2.28-1.fc14: __init__.py:3672:remove:UnicodeDecodeError: 'ascii'...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3a0bbba6
Keywords:
Depends On:
Blocks: F14Target
TreeView+ depends on / blocked
 
Reported: 2010-08-08 07:41 UTC by Nicolas Mailhot
Modified: 2014-01-21 23:16 UTC (History)
5 users (show)

Fixed In Version: yum-3.2.28-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-17 05:49:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.25 KB, text/plain)
2010-08-08 07:41 UTC, Nicolas Mailhot
no flags Details

Description Nicolas Mailhot 2010-08-08 07:41:25 UTC
abrt version: 1.1.10
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/yum remove Modules 'compl\xc3\xa9mentaires' 'charg\xc3\xa9s\xc2\xa0:' auto-update-debuginfo, refresh-packagekit Canna-libs-3.7p3-29.fc13.x86_64 cheese-libs-2.31.1-1.fc14.x86_64 esound-libs-0.2.41-3.fc12.x86_64 ggz-base-libs-0.99.5-7.fc13.x86_64 ibus-libs-1.3.6-5.fc14.x86_64 imlib2-1.4.3-1.fc14.x86_64 imsettings-libs-0.108.1-1.fc14.x86_64 libchamplain-gtk-0.6.1-4.fc14.x86_64 libchewing-0.3.2-27.fc14.x86_64 libdmapsharing-1.9.0.21-1.fc14.x86_64 libdvdcss-1.2.10-1.x86_64 libdwarf-0.20100629-1.fc14.x86_64 libertas-usb8388-firmware-5.110.22.p23-4.fc13.noarch libgail-gnome-1.20.3-1.fc14.x86_64 libgdiplus-2.6.7-1.fc14.x86_64 libgnomemm26-2.28.0-1.x86_64 libiodbc-3.52.7-1.fc12.x86_64 libjingle-0.3.12-6.fc12.x86_64 libmtp-1.0.3-5.fc14.x86_64 libmusicbrainz-2.1.5-11.fc12.x86_64 libmusicbrainz3-3.0.2-7.fc14.x86_64 libopenraw-gnome-0.0.8-1.fc13.x86_64 libpano13-2.9.14-2.fc12.x86_64 libproxy-bin-0.4.4-7.fc14.x86_64 libproxy-mozjs-0.4.4-7.fc14.x86_64 libpst-0.6.47-4.fc14.x86_64 libsndfile-utils-1.0.21-1.fc14.x86_64 lzma-libs-4.32.7-3.fc12.x86_64 podofo-libs-0.8.1-2.fc14.x86_64 postgresql-libs-8.4.4-3.fc14.x86_64
component: yum
executable: /usr/bin/yum
kernel: 2.6.35.1-4.rc1.fc14.x86_64
package: yum-3.2.28-1.fc14
reason: __init__.py:3672:remove:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)
release: Fedora release 14 (Branched)
time: 1281253081
uid: 0

backtrace
-----
__init__.py:3672:remove:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 258, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 113, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 396, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 390, in doCommand
    return base.erasePkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 782, in erasePkgs
    if not self.remove(pattern=arg):
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3672, in remove
    self.logger.critical(_('No Match for argument: %s') % arg)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)

Local variables in innermost frame:
e: []
tx_return: []
self: <cli.YumBaseCli object at 0x25b99d0>
kwargs: {'pattern': 'compl\xc3\xa9mentaires'}
m: []
u: ['compl\xc3\xa9mentaires']
pkgs: []
arg: 'compl\xc3\xa9mentaires'
depmatches: []
po: None

comment
-----
The command is faulty as-is, but yum should not crash anyway.
Font packages generate utf8 provides, and there is nothing to prevent them from using the letter  someday

yum remove "font(coliercourt)"

would have been a valid order and it would have crashed yum the same way

How to reproduce
-----
# package-cleanup --leaves
Modules complmentaires chargs: auto-update-debuginfo, refresh-packagekit

# yum remove $(package-cleanup --leaves)
Modules complmentaires chargs: auto-update-debuginfo, downloadonly, refresh-packagekit
Configuration du processus de suppression
Aucune correspondance pour l'argument: Modules
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 258, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 113, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 396, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 390, in doCommand
    return base.erasePkgs(extcmds)
  File "/usr/share/yum-cli/cli.py", line 782, in erasePkgs
    if not self.remove(pattern=arg):
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3672, in remove
    self.logger.critical(_('No Match for argument: %s') % arg)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 5: ordinal not in range(128)

Comment 1 Nicolas Mailhot 2010-08-08 07:41:28 UTC
Created attachment 437416 [details]
File: backtrace

Comment 2 Nicolas Mailhot 2010-08-08 07:47:38 UTC
Wow, seems abrt is broken wrt utf-8 too

This should have read yum remove "font(écoliercourt)"

Comment 3 Fedora Update System 2010-08-09 19:55:38 UTC
yum-3.2.28-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12

Comment 4 Fedora Update System 2010-08-09 19:56:15 UTC
yum-3.2.28-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14

Comment 5 Fedora Update System 2010-08-09 19:56:42 UTC
yum-3.2.28-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13

Comment 6 Fedora Update System 2010-08-10 21:45:43 UTC
yum-3.2.28-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc13

Comment 7 Fedora Update System 2010-08-12 04:10:58 UTC
yum-3.2.28-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc12

Comment 8 Fedora Update System 2010-08-12 19:58:35 UTC
yum-3.2.28-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/yum-3.2.28-2.fc14

Comment 9 Fedora Update System 2010-08-12 20:17:08 UTC
yum-3.2.28-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc12

Comment 10 Fedora Update System 2010-08-12 20:19:32 UTC
yum-3.2.28-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc13

Comment 11 Fedora Update System 2010-08-12 20:21:53 UTC
yum-3.2.28-3.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/yum-3.2.28-3.fc14

Comment 12 Fedora Update System 2010-08-17 05:47:15 UTC
yum-3.2.28-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-08-20 02:20:49 UTC
yum-3.2.28-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-08-24 01:38:27 UTC
yum-3.2.28-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.